# Packmangroup: Development
# Packmanpackagename: nvu
# Packman: Quentin Denis

Summary:	Nvu - A Web Authoring System
Summary(de):	Nvu - Ein Web Autorensystem
Name:		nvu
Version:	0.90
Release:	1.pm.1
Copyright:	MPL/GPL
Group:		Productivity/Publishing/HTML/Editors
Url: 		http://www.nvu.com

Source0:        nvu-0.90-sources.tar.bz2
Source1:        mozconfig.SuSE
Source2:        nvu.desktop
Source3:        nvu.png

Packager:	Quentin Denis <quentin@links2linux.de>
Vendor:		Packman
Distribution:	SuSE Linux 9.3 (i586)
BuildRoot:	%{_tmppath}/%{name}-%{version}-build

Prefix:		%{_prefix}
        
%description
Nvu (pronounced N-view, for a "new view") is a complete Web Authoring 
System that combines web file management and easy-to-use WYSIWYG (What 
You See Is What You Get) web page editing.  Nvu is designed to be 
extremely easy to use, making it ideal for non-technical computer users
who want to create an attractive, professional-looking web site without 
needing to know HTML or web coding.


%package devel
Summary:        Nvu development files
Group:          Productivity/Publishing/HTML/Editors
Requires:       %{name} = %{version}-%{release}

%description devel
Nvu development files

%prep
%setup -q -n mozilla

# let jars get compressed
#%__perl -p -i -e 's|\-0|\-9|g' config/make-jars.pl

%build
cp %{SOURCE1} .mozconfig
make -f client.mk build_all

%install
rm -rf "${RPM_BUILD_ROOT}"
make DESTDIR="${RPM_BUILD_ROOT}" install

mkdir -p %{buildroot}%{_datadir}/applications
#SuSE did install it to: /opt/gnome/share/applications/nvu.desktop
install %{SOURCE2} %{buildroot}%{_datadir}/applications/

mkdir -p %{buildroot}%{_datadir}/pixmaps
install %{SOURCE3} %{buildroot}%{_datadir}/pixmaps/


%clean
[ -d  ${RPM_BUILD_ROOT} -a "${RPM_BUILD_ROOT}" != "/" ] && rm -rf  ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
#%doc LICENSE LEGAL README.txt
%{_bindir}/nvu
%dir %{_libdir}/nvu-%{version}
%{_libdir}/nvu-%{version}/*
%{_datadir}/applications/
%{_datadir}/pixmaps/

%files devel
%defattr(-,root,root)
%{_libdir}/pkgconfig/*.pc
%{_bindir}/nvu-config
%{_datadir}/aclocal/*.m4
%dir %{_datadir}/idl/nvu-%{version}
%{_datadir}/idl/nvu-%{version}/*.idl
%{_includedir}/*

%changelog
* Mon Mar 14 2005 Quentin Denis <quentin@links2linux.de>
- update to version 0.90

* Fri Mar 04 2005 Quentin Denis <quentin@links2linux.de>
- update to version 0.90-RC1

* Sat Feb 12 2005 Quentin Denis <quentin@links2linux.de>
- update to version 0.81

* Mon Feb 07 2005 Quentin Denis <quentin@links2linux.de>
- update to version 0.80

* Thu Jan 20 2005 Quentin Denis <quentin@links2linux.de>
- update to version 0.70

* Tue Dec 07 2004 Quentin Denis <quentin@links2linux.de>
- initial package with version 0.60